Bug 1268308 - (TEIID-3739) Dynamic VDB that imports another VDB does not get redeployed if the imported VDB is redeployed
Dynamic VDB that imports another VDB does not get redeployed if the imported ...
Status: ASSIGNED
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Deployment (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: jolee
Jan Stastny
:
Depends On:
Blocks: 1267577
  Show dependency treegraph
 
Reported: 2015-10-02 09:32 EDT by dsteigne
Modified: 2017-12-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: TEIID-3739-DV6.2.2 (view as bug list)
Environment:
Last Closed:
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3739 Major Closed Dynamic VDB that imports another VDB does not get redeployed if the imported VDB is redeployed 2018-02-01 03:07 EST
Red Hat Knowledge Base (Solution) 1978083 None None None Never

  None (edit)
Description dsteigne 2015-10-02 09:32:19 EDT
Description of problem:
See https://issues.jboss.org/browse/TEIID-3739
When using a Dynamic VDB that imports another VDB it isn't redeployed if the imported VDB is redeployed. You can in the log it undeploys the top VDB and the imported VDB but only redeploys the imported one. The top VDB then doesn't exist until it's redeployed.


Version-Release number of selected component (if applicable):
6.1.2 and 6.2

How reproducible:
Always

Steps to Reproduce:
1. See https://issues.jboss.org/browse/TEIID-3739 for replication steps and sample Dynamic VDB files.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2015-10-05 16:30:16 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3739 to Resolved
Comment 4 jolee 2015-12-02 14:45:46 EST
git@github.com:jboss-integration/teiid.git : 8.7.x-prod-ipv6.1 : f830f43

git@github.com:teiid/teiid.git : 8.7.x : f830f43
Comment 5 Bugzilla account termination 2017-12-07 18:55:01 EST
Employee 'felias@redhat.com' has left the company.

Note You need to log in before you can comment on or make changes to this bug.